
package kalkulator;

import javax.xml.namespace.QName;
import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the kalkulator package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Add_QNAME = new QName("http://www.example.org/Kalkulator/", "add");
    private final static QName _AddResponse_QNAME = new QName("http://www.example.org/Kalkulator/", "addResponse");
    private final static QName _Sub_QNAME = new QName("http://www.example.org/Kalkulator/", "sub");
    private final static QName _SubResponse_QNAME = new QName("http://www.example.org/Kalkulator/", "subResponse");
    private final static QName _Mul_QNAME = new QName("http://www.example.org/Kalkulator/", "mul");
    private final static QName _MulResponse_QNAME = new QName("http://www.example.org/Kalkulator/", "mulResponse");
    private final static QName _Div_QNAME = new QName("http://www.example.org/Kalkulator/", "div");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: kalkulator
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Witaj }
     * 
     * @return
     *     the new instance of {@link Witaj }
     */
    public Witaj createWitaj() {
        return new Witaj();
    }

    /**
     * Create an instance of {@link WitajResponse }
     * 
     * @return
     *     the new instance of {@link WitajResponse }
     */
    public WitajResponse createWitajResponse() {
        return new WitajResponse();
    }

    /**
     * Create an instance of {@link DwaInty }
     * 
     * @return
     *     the new instance of {@link DwaInty }
     */
    public DwaInty createDwaInty() {
        return new DwaInty();
    }

    /**
     * Create an instance of {@link WynikInt }
     * 
     * @return
     *     the new instance of {@link WynikInt }
     */
    public WynikInt createWynikInt() {
        return new WynikInt();
    }

    /**
     * Create an instance of {@link DivResponse }
     * 
     * @return
     *     the new instance of {@link DivResponse }
     */
    public DivResponse createDivResponse() {
        return new DivResponse();
    }

    /**
     * Create an instance of {@link ZeroDivisionError }
     * 
     * @return
     *     the new instance of {@link ZeroDivisionError }
     */
    public ZeroDivisionError createZeroDivisionError() {
        return new ZeroDivisionError();
    }

    /**
     * Create an instance of {@link Avg }
     * 
     * @return
     *     the new instance of {@link Avg }
     */
    public Avg createAvg() {
        return new Avg();
    }

    /**
     * Create an instance of {@link AvgResponse }
     * 
     * @return
     *     the new instance of {@link AvgResponse }
     */
    public AvgResponse createAvgResponse() {
        return new AvgResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "add")
    public JAXBElement<DwaInty> createAdd(DwaInty value) {
        return new JAXBElement<>(_Add_QNAME, DwaInty.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "addResponse")
    public JAXBElement<WynikInt> createAddResponse(WynikInt value) {
        return new JAXBElement<>(_AddResponse_QNAME, WynikInt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "sub")
    public JAXBElement<DwaInty> createSub(DwaInty value) {
        return new JAXBElement<>(_Sub_QNAME, DwaInty.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "subResponse")
    public JAXBElement<WynikInt> createSubResponse(WynikInt value) {
        return new JAXBElement<>(_SubResponse_QNAME, WynikInt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "mul")
    public JAXBElement<DwaInty> createMul(DwaInty value) {
        return new JAXBElement<>(_Mul_QNAME, DwaInty.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "mulResponse")
    public JAXBElement<WynikInt> createMulResponse(WynikInt value) {
        return new JAXBElement<>(_MulResponse_QNAME, WynikInt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "div")
    public JAXBElement<DwaInty> createDiv(DwaInty value) {
        return new JAXBElement<>(_Div_QNAME, DwaInty.class, null, value);
    }

}
